org.apache.ignite.cache.query

## Class CacheEntryEventAdapter<K,V>

- java.lang.Object
- - java.util.EventObject
  - - javax.cache.event.CacheEntryEvent<K,V>
    - - org.apache.ignite.cache.query.CacheEntryEventAdapter<K,V>

All Implemented Interfaces:
  Serializable, javax.cache.Cache.Entry<K,V>

Direct Known Subclasses:
  CacheQueryEntryEvent

    public abstract class CacheEntryEventAdapter<K,V>
    extends javax.cache.event.CacheEntryEvent<K,V>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`protected` `CacheEntryEventAdapter(javax.cache.Cache src, javax.cache.event.EventType evtType)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract V` `getNewValue()`
`V` `getValue()`
`<T> T` `unwrap(Class<T> cls)`

### Methods inherited from class javax.cache.event.CacheEntryEvent

`getEventType, getOldValue, getSource, isOldValueAvailable`

### Methods inherited from class java.util.EventObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.cache.Cache.Entry

`getKey`

### Constructor Detail

#### CacheEntryEventAdapter

    protected CacheEntryEventAdapter(javax.cache.Cache src,
                                     javax.cache.event.EventType evtType)

### Method Detail

#### getValue

    public V getValue()

#### unwrap

    public <T> T unwrap(Class<T> cls)

#### getNewValue

    protected abstract V getNewValue()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023